# Created by pyp2rpm-3.3.2
%global pypi_name keras-applications

Name:           python3-%{pypi_name}
Version:        1.0.8
Release:        1%{?dist}
Summary:        Reference implementations of popular deep learning models

License:        MIT
URL:            https://github.com/keras-team/keras-applications
Source0:        https://files.pythonhosted.org/packages/source/K/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python-rpm-macros
BuildRequires:  python3-rpm-macros

Requires:       python3dist(h5py)
Requires:       python3dist(keras) >= 2.1.6
Requires:       python3dist(numpy) >= 1.9.1
Requires:       python3dist(pytest)
Requires:       python3dist(pytest-cov)
Requires:       python3dist(pytest-pep8)
Requires:       python3dist(pytest-xdist)
Obsoletes:      python3-Keras-Applications < %{version}

%description
Keras Applications is the applications module of the Keras deep learning
library. It provides model definitions and pre-trained weights for a number of
popular archictures, such as VGG16, ResNet50, Xception, MobileNet, and
more.Read the documentation at: Applications may be imported directly from an
up-to-date installation of Keras: from keras import applications Keras
Applications is...

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc README.md
%{python3_sitelib}/keras_applications
%{python3_sitelib}/Keras_Applications-%{version}-py?.?.egg-info

%changelog
* Mon Mar 16 2020 Yupeng Chang <ypchang@ambarella.com> - 1.0.8-1
- Update to 1.0.8

* Wed May 29 2019 Yupeng Chang <ypchang@ambarella.com> - 1.0.7-1
- Update to 1.0.7

* Fri Aug 31 2018 Grace Petegorsky <grace.petegorsky@yale.edu> - 1.0.4-1
- Downgrade to 1.0.4 for python3-Keras
* Fri Aug 31 2018 Grace Petegorsky <grace.petegorsky@yale.edu> - 1.0.5-1
- Initial package.
